Do not link against gmp :-).
[adns] / configure
CommitLineData
11b35193 1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.12
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52# Maximum number of lines to put in a shell here document.
53ac_max_here_lines=12
54
55ac_prev=
56for ac_option
57do
58
59 # If the previous option needs an argument, assign it.
60 if test -n "$ac_prev"; then
61 eval "$ac_prev=\$ac_option"
62 ac_prev=
63 continue
64 fi
65
66 case "$ac_option" in
67 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
68 *) ac_optarg= ;;
69 esac
70
71 # Accept the important Cygnus configure options, so we can diagnose typos.
72
73 case "$ac_option" in
74
75 -bindir | --bindir | --bindi | --bind | --bin | --bi)
76 ac_prev=bindir ;;
77 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
78 bindir="$ac_optarg" ;;
79
80 -build | --build | --buil | --bui | --bu)
81 ac_prev=build ;;
82 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
83 build="$ac_optarg" ;;
84
85 -cache-file | --cache-file | --cache-fil | --cache-fi \
86 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
87 ac_prev=cache_file ;;
88 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
89 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
90 cache_file="$ac_optarg" ;;
91
92 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
93 ac_prev=datadir ;;
94 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
95 | --da=*)
96 datadir="$ac_optarg" ;;
97
98 -disable-* | --disable-*)
99 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
100 # Reject names that are not valid shell variable names.
101 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
102 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
103 fi
104 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
105 eval "enable_${ac_feature}=no" ;;
106
107 -enable-* | --enable-*)
108 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
109 # Reject names that are not valid shell variable names.
110 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
111 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
112 fi
113 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
114 case "$ac_option" in
115 *=*) ;;
116 *) ac_optarg=yes ;;
117 esac
118 eval "enable_${ac_feature}='$ac_optarg'" ;;
119
120 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
121 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
122 | --exec | --exe | --ex)
123 ac_prev=exec_prefix ;;
124 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
125 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
126 | --exec=* | --exe=* | --ex=*)
127 exec_prefix="$ac_optarg" ;;
128
129 -gas | --gas | --ga | --g)
130 # Obsolete; use --with-gas.
131 with_gas=yes ;;
132
133 -help | --help | --hel | --he)
134 # Omit some internal or obsolete options to make the list less imposing.
135 # This message is too long to be a string in the A/UX 3.1 sh.
136 cat << EOF
137Usage: configure [options] [host]
138Options: [defaults in brackets after descriptions]
139Configuration:
140 --cache-file=FILE cache test results in FILE
141 --help print this message
142 --no-create do not create output files
143 --quiet, --silent do not print \`checking...' messages
144 --version print the version of autoconf that created configure
145Directory and file names:
146 --prefix=PREFIX install architecture-independent files in PREFIX
147 [$ac_default_prefix]
148 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
149 [same as prefix]
150 --bindir=DIR user executables in DIR [EPREFIX/bin]
151 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
152 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
153 --datadir=DIR read-only architecture-independent data in DIR
154 [PREFIX/share]
155 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
156 --sharedstatedir=DIR modifiable architecture-independent data in DIR
157 [PREFIX/com]
158 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
159 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
160 --includedir=DIR C header files in DIR [PREFIX/include]
161 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
162 --infodir=DIR info documentation in DIR [PREFIX/info]
163 --mandir=DIR man documentation in DIR [PREFIX/man]
164 --srcdir=DIR find the sources in DIR [configure dir or ..]
165 --program-prefix=PREFIX prepend PREFIX to installed program names
166 --program-suffix=SUFFIX append SUFFIX to installed program names
167 --program-transform-name=PROGRAM
168 run sed PROGRAM on installed program names
169EOF
170 cat << EOF
171Host type:
172 --build=BUILD configure for building on BUILD [BUILD=HOST]
173 --host=HOST configure for HOST [guessed]
174 --target=TARGET configure for TARGET [TARGET=HOST]
175Features and packages:
176 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
177 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
178 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
179 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
180 --x-includes=DIR X include files are in DIR
181 --x-libraries=DIR X library files are in DIR
182EOF
183 if test -n "$ac_help"; then
184 echo "--enable and --with options recognized:$ac_help"
185 fi
186 exit 0 ;;
187
188 -host | --host | --hos | --ho)
189 ac_prev=host ;;
190 -host=* | --host=* | --hos=* | --ho=*)
191 host="$ac_optarg" ;;
192
193 -includedir | --includedir | --includedi | --included | --include \
194 | --includ | --inclu | --incl | --inc)
195 ac_prev=includedir ;;
196 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
197 | --includ=* | --inclu=* | --incl=* | --inc=*)
198 includedir="$ac_optarg" ;;
199
200 -infodir | --infodir | --infodi | --infod | --info | --inf)
201 ac_prev=infodir ;;
202 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
203 infodir="$ac_optarg" ;;
204
205 -libdir | --libdir | --libdi | --libd)
206 ac_prev=libdir ;;
207 -libdir=* | --libdir=* | --libdi=* | --libd=*)
208 libdir="$ac_optarg" ;;
209
210 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
211 | --libexe | --libex | --libe)
212 ac_prev=libexecdir ;;
213 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
214 | --libexe=* | --libex=* | --libe=*)
215 libexecdir="$ac_optarg" ;;
216
217 -localstatedir | --localstatedir | --localstatedi | --localstated \
218 | --localstate | --localstat | --localsta | --localst \
219 | --locals | --local | --loca | --loc | --lo)
220 ac_prev=localstatedir ;;
221 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
222 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
223 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
224 localstatedir="$ac_optarg" ;;
225
226 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
227 ac_prev=mandir ;;
228 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
229 mandir="$ac_optarg" ;;
230
231 -nfp | --nfp | --nf)
232 # Obsolete; use --without-fp.
233 with_fp=no ;;
234
235 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
236 | --no-cr | --no-c)
237 no_create=yes ;;
238
239 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
240 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
241 no_recursion=yes ;;
242
243 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
244 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
245 | --oldin | --oldi | --old | --ol | --o)
246 ac_prev=oldincludedir ;;
247 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
248 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
249 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
250 oldincludedir="$ac_optarg" ;;
251
252 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
253 ac_prev=prefix ;;
254 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
255 prefix="$ac_optarg" ;;
256
257 -program-prefix | --program-prefix | --program-prefi | --program-pref \
258 | --program-pre | --program-pr | --program-p)
259 ac_prev=program_prefix ;;
260 -program-prefix=* | --program-prefix=* | --program-prefi=* \
261 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
262 program_prefix="$ac_optarg" ;;
263
264 -program-suffix | --program-suffix | --program-suffi | --program-suff \
265 | --program-suf | --program-su | --program-s)
266 ac_prev=program_suffix ;;
267 -program-suffix=* | --program-suffix=* | --program-suffi=* \
268 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
269 program_suffix="$ac_optarg" ;;
270
271 -program-transform-name | --program-transform-name \
272 | --program-transform-nam | --program-transform-na \
273 | --program-transform-n | --program-transform- \
274 | --program-transform | --program-transfor \
275 | --program-transfo | --program-transf \
276 | --program-trans | --program-tran \
277 | --progr-tra | --program-tr | --program-t)
278 ac_prev=program_transform_name ;;
279 -program-transform-name=* | --program-transform-name=* \
280 | --program-transform-nam=* | --program-transform-na=* \
281 | --program-transform-n=* | --program-transform-=* \
282 | --program-transform=* | --program-transfor=* \
283 | --program-transfo=* | --program-transf=* \
284 | --program-trans=* | --program-tran=* \
285 | --progr-tra=* | --program-tr=* | --program-t=*)
286 program_transform_name="$ac_optarg" ;;
287
288 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
289 | -silent | --silent | --silen | --sile | --sil)
290 silent=yes ;;
291
292 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
293 ac_prev=sbindir ;;
294 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
295 | --sbi=* | --sb=*)
296 sbindir="$ac_optarg" ;;
297
298 -sharedstatedir | --sharedstatedir | --sharedstatedi \
299 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
300 | --sharedst | --shareds | --shared | --share | --shar \
301 | --sha | --sh)
302 ac_prev=sharedstatedir ;;
303 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
304 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
305 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
306 | --sha=* | --sh=*)
307 sharedstatedir="$ac_optarg" ;;
308
309 -site | --site | --sit)
310 ac_prev=site ;;
311 -site=* | --site=* | --sit=*)
312 site="$ac_optarg" ;;
313
314 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
315 ac_prev=srcdir ;;
316 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
317 srcdir="$ac_optarg" ;;
318
319 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
320 | --syscon | --sysco | --sysc | --sys | --sy)
321 ac_prev=sysconfdir ;;
322 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
323 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
324 sysconfdir="$ac_optarg" ;;
325
326 -target | --target | --targe | --targ | --tar | --ta | --t)
327 ac_prev=target ;;
328 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
329 target="$ac_optarg" ;;
330
331 -v | -verbose | --verbose | --verbos | --verbo | --verb)
332 verbose=yes ;;
333
334 -version | --version | --versio | --versi | --vers)
335 echo "configure generated by autoconf version 2.12"
336 exit 0 ;;
337
338 -with-* | --with-*)
339 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
340 # Reject names that are not valid shell variable names.
341 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
342 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
343 fi
344 ac_package=`echo $ac_package| sed 's/-/_/g'`
345 case "$ac_option" in
346 *=*) ;;
347 *) ac_optarg=yes ;;
348 esac
349 eval "with_${ac_package}='$ac_optarg'" ;;
350
351 -without-* | --without-*)
352 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
353 # Reject names that are not valid shell variable names.
354 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
355 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
356 fi
357 ac_package=`echo $ac_package| sed 's/-/_/g'`
358 eval "with_${ac_package}=no" ;;
359
360 --x)
361 # Obsolete; use --with-x.
362 with_x=yes ;;
363
364 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
365 | --x-incl | --x-inc | --x-in | --x-i)
366 ac_prev=x_includes ;;
367 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
368 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
369 x_includes="$ac_optarg" ;;
370
371 -x-libraries | --x-libraries | --x-librarie | --x-librari \
372 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
373 ac_prev=x_libraries ;;
374 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
375 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
376 x_libraries="$ac_optarg" ;;
377
378 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
379 ;;
380
381 *)
382 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
383 echo "configure: warning: $ac_option: invalid host type" 1>&2
384 fi
385 if test "x$nonopt" != xNONE; then
386 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
387 fi
388 nonopt="$ac_option"
389 ;;
390
391 esac
392done
393
394if test -n "$ac_prev"; then
395 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
396fi
397
398trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
399
400# File descriptor usage:
401# 0 standard input
402# 1 file creation
403# 2 errors and warnings
404# 3 some systems may open it to /dev/tty
405# 4 used on the Kubota Titan
406# 6 checking for... messages and results
407# 5 compiler messages saved in config.log
408if test "$silent" = yes; then
409 exec 6>/dev/null
410else
411 exec 6>&1
412fi
413exec 5>./config.log
414
415echo "\
416This file contains any messages produced by compilers while
417running configure, to aid debugging if configure makes a mistake.
418" 1>&5
419
420# Strip out --no-create and --no-recursion so they do not pile up.
421# Also quote any args containing shell metacharacters.
422ac_configure_args=
423for ac_arg
424do
425 case "$ac_arg" in
426 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
427 | --no-cr | --no-c) ;;
428 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
429 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
430 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
431 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
432 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
433 esac
434done
435
436# NLS nuisances.
437# Only set these to C if already set. These must not be set unconditionally
438# because not all systems understand e.g. LANG=C (notably SCO).
439# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
440# Non-C LC_CTYPE values break the ctype check.
441if test "${LANG+set}" = set; then LANG=C; export LANG; fi
442if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
443if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
444if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
445
446# confdefs.h avoids OS command line length limits that DEFS can exceed.
447rm -rf conftest* confdefs.h
448# AIX cpp loses on an empty file, so make sure it contains at least a newline.
449echo > confdefs.h
450
451# A filename unique to this package, relative to the directory that
452# configure is in, which we can look for to find out if srcdir is correct.
453ac_unique_file=src/adns.h
454
455# Find the source files, if location was not specified.
456if test -z "$srcdir"; then
457 ac_srcdir_defaulted=yes
458 # Try the directory containing this script, then its parent.
459 ac_prog=$0
460 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
461 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
462 srcdir=$ac_confdir
463 if test ! -r $srcdir/$ac_unique_file; then
464 srcdir=..
465 fi
466else
467 ac_srcdir_defaulted=no
468fi
469if test ! -r $srcdir/$ac_unique_file; then
470 if test "$ac_srcdir_defaulted" = yes; then
471 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
472 else
473 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
474 fi
475fi
476srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
477
478# Prefer explicitly selected file to automatically selected ones.
479if test -z "$CONFIG_SITE"; then
480 if test "x$prefix" != xNONE; then
481 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
482 else
483 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
484 fi
485fi
486for ac_site_file in $CONFIG_SITE; do
487 if test -r "$ac_site_file"; then
488 echo "loading site script $ac_site_file"
489 . "$ac_site_file"
490 fi
491done
492
493if test -r "$cache_file"; then
494 echo "loading cache $cache_file"
495 . $cache_file
496else
497 echo "creating cache $cache_file"
498 > $cache_file
499fi
500
501ac_ext=c
502# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
503ac_cpp='$CPP $CPPFLAGS'
504ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
505ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
506cross_compiling=$ac_cv_prog_cc_cross
507
508if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
509 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
510 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
511 ac_n= ac_c='
512' ac_t=' '
513 else
514 ac_n=-n ac_c= ac_t=
515 fi
516else
517 ac_n= ac_c='\c' ac_t=
518fi
519
520
521
522# Extract the first word of "gcc", so it can be a program name with args.
523set dummy gcc; ac_word=$2
524echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
525echo "configure:526: checking for $ac_word" >&5
526if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
527 echo $ac_n "(cached) $ac_c" 1>&6
528else
529 if test -n "$CC"; then
530 ac_cv_prog_CC="$CC" # Let the user override the test.
531else
532 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
533 for ac_dir in $PATH; do
534 test -z "$ac_dir" && ac_dir=.
535 if test -f $ac_dir/$ac_word; then
536 ac_cv_prog_CC="gcc"
537 break
538 fi
539 done
540 IFS="$ac_save_ifs"
541fi
542fi
543CC="$ac_cv_prog_CC"
544if test -n "$CC"; then
545 echo "$ac_t""$CC" 1>&6
546else
547 echo "$ac_t""no" 1>&6
548fi
549
550if test -z "$CC"; then
551 # Extract the first word of "cc", so it can be a program name with args.
552set dummy cc; ac_word=$2
553echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
554echo "configure:555: checking for $ac_word" >&5
555if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
556 echo $ac_n "(cached) $ac_c" 1>&6
557else
558 if test -n "$CC"; then
559 ac_cv_prog_CC="$CC" # Let the user override the test.
560else
561 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
562 ac_prog_rejected=no
563 for ac_dir in $PATH; do
564 test -z "$ac_dir" && ac_dir=.
565 if test -f $ac_dir/$ac_word; then
566 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
567 ac_prog_rejected=yes
568 continue
569 fi
570 ac_cv_prog_CC="cc"
571 break
572 fi
573 done
574 IFS="$ac_save_ifs"
575if test $ac_prog_rejected = yes; then
576 # We found a bogon in the path, so make sure we never use it.
577 set dummy $ac_cv_prog_CC
578 shift
579 if test $# -gt 0; then
580 # We chose a different compiler from the bogus one.
581 # However, it has the same basename, so the bogon will be chosen
582 # first if we set CC to just the basename; use the full file name.
583 shift
584 set dummy "$ac_dir/$ac_word" "$@"
585 shift
586 ac_cv_prog_CC="$@"
587 fi
588fi
589fi
590fi
591CC="$ac_cv_prog_CC"
592if test -n "$CC"; then
593 echo "$ac_t""$CC" 1>&6
594else
595 echo "$ac_t""no" 1>&6
596fi
597
598 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
599fi
600
601echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
602echo "configure:603: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
603
604ac_ext=c
605# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
606ac_cpp='$CPP $CPPFLAGS'
607ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
608ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
609cross_compiling=$ac_cv_prog_cc_cross
610
611cat > conftest.$ac_ext <<EOF
612#line 613 "configure"
613#include "confdefs.h"
614main(){return(0);}
615EOF
616if { (eval echo configure:617: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
617 ac_cv_prog_cc_works=yes
618 # If we can't run a trivial program, we are probably using a cross compiler.
619 if (./conftest; exit) 2>/dev/null; then
620 ac_cv_prog_cc_cross=no
621 else
622 ac_cv_prog_cc_cross=yes
623 fi
624else
625 echo "configure: failed program was:" >&5
626 cat conftest.$ac_ext >&5
627 ac_cv_prog_cc_works=no
628fi
629rm -fr conftest*
630
631echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
632if test $ac_cv_prog_cc_works = no; then
633 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
634fi
635echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
636echo "configure:637: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
637echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
638cross_compiling=$ac_cv_prog_cc_cross
639
640echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
641echo "configure:642: checking whether we are using GNU C" >&5
642if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
643 echo $ac_n "(cached) $ac_c" 1>&6
644else
645 cat > conftest.c <<EOF
646#ifdef __GNUC__
647 yes;
648#endif
649EOF
650if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:651: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
651 ac_cv_prog_gcc=yes
652else
653 ac_cv_prog_gcc=no
654fi
655fi
656
657echo "$ac_t""$ac_cv_prog_gcc" 1>&6
658
659if test $ac_cv_prog_gcc = yes; then
660 GCC=yes
661 ac_test_CFLAGS="${CFLAGS+set}"
662 ac_save_CFLAGS="$CFLAGS"
663 CFLAGS=
664 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
665echo "configure:666: checking whether ${CC-cc} accepts -g" >&5
666if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
667 echo $ac_n "(cached) $ac_c" 1>&6
668else
669 echo 'void f(){}' > conftest.c
670if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
671 ac_cv_prog_cc_g=yes
672else
673 ac_cv_prog_cc_g=no
674fi
675rm -f conftest*
676
677fi
678
679echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
680 if test "$ac_test_CFLAGS" = set; then
681 CFLAGS="$ac_save_CFLAGS"
682 elif test $ac_cv_prog_cc_g = yes; then
683 CFLAGS="-g -O2"
684 else
685 CFLAGS="-O2"
686 fi
687else
688 GCC=
689 test "${CFLAGS+set}" = set || CFLAGS="-g"
690fi
691
9579019a 692# Extract the first word of "ranlib", so it can be a program name with args.
693set dummy ranlib; ac_word=$2
694echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
695echo "configure:696: checking for $ac_word" >&5
696if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
697 echo $ac_n "(cached) $ac_c" 1>&6
698else
699 if test -n "$RANLIB"; then
700 ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
701else
702 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
703 for ac_dir in $PATH; do
704 test -z "$ac_dir" && ac_dir=.
705 if test -f $ac_dir/$ac_word; then
706 ac_cv_prog_RANLIB="ranlib"
707 break
708 fi
709 done
710 IFS="$ac_save_ifs"
711 test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
712fi
713fi
714RANLIB="$ac_cv_prog_RANLIB"
715if test -n "$RANLIB"; then
716 echo "$ac_t""$RANLIB" 1>&6
717else
718 echo "$ac_t""no" 1>&6
719fi
720
8b5269f2 721
722
723 echo $ac_n "checking for socket""... $ac_c" 1>&6
724echo "configure:725: checking for socket" >&5
725if eval "test \"`echo '$''{'ac_cv_func_socket'+set}'`\" = set"; then
726 echo $ac_n "(cached) $ac_c" 1>&6
727else
728 cat > conftest.$ac_ext <<EOF
729#line 730 "configure"
730#include "confdefs.h"
731/* System header to define __stub macros and hopefully few prototypes,
732 which can conflict with char socket(); below. */
733#include <assert.h>
734/* Override any gcc2 internal prototype to avoid an error. */
735/* We use char because int might match the return type of a gcc2
736 builtin and then its argument prototype would still apply. */
737char socket();
738
739int main() {
740
741/* The GNU C library defines this for functions which it implements
742 to always fail with ENOSYS. Some functions are actually named
743 something starting with __ and the normal name is an alias. */
744#if defined (__stub_socket) || defined (__stub___socket)
745choke me
746#else
747socket();
748#endif
749
750; return 0; }
751EOF
752if { (eval echo configure:753: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
753 rm -rf conftest*
754 eval "ac_cv_func_socket=yes"
755else
756 echo "configure: failed program was:" >&5
757 cat conftest.$ac_ext >&5
758 rm -rf conftest*
759 eval "ac_cv_func_socket=no"
760fi
761rm -f conftest*
762fi
763
764if eval "test \"`echo '$ac_cv_func_'socket`\" = yes"; then
765 echo "$ac_t""yes" 1>&6
766 :
767else
768 echo "$ac_t""no" 1>&6
769
770 echo $ac_n "checking for socket in -lsocket""... $ac_c" 1>&6
771echo "configure:772: checking for socket in -lsocket" >&5
eec1d9c8 772ac_lib_var=`echo socket'_'socket | sed 'y%./+-%__p_%'`
773if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
774 echo $ac_n "(cached) $ac_c" 1>&6
775else
776 ac_save_LIBS="$LIBS"
777LIBS="-lsocket $LIBS"
778cat > conftest.$ac_ext <<EOF
8b5269f2 779#line 780 "configure"
eec1d9c8 780#include "confdefs.h"
781/* Override any gcc2 internal prototype to avoid an error. */
782/* We use char because int might match the return type of a gcc2
783 builtin and then its argument prototype would still apply. */
784char socket();
785
786int main() {
787socket()
788; return 0; }
789EOF
8b5269f2 790if { (eval echo configure:791: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
eec1d9c8 791 rm -rf conftest*
792 eval "ac_cv_lib_$ac_lib_var=yes"
793else
794 echo "configure: failed program was:" >&5
795 cat conftest.$ac_ext >&5
796 rm -rf conftest*
797 eval "ac_cv_lib_$ac_lib_var=no"
798fi
799rm -f conftest*
800LIBS="$ac_save_LIBS"
801
802fi
803if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
804 echo "$ac_t""yes" 1>&6
805 ac_tr_lib=HAVE_LIB`echo socket | sed -e 's/[^a-zA-Z0-9_]/_/g' \
806 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
807 cat >> confdefs.h <<EOF
808#define $ac_tr_lib 1
809EOF
810
811 LIBS="-lsocket $LIBS"
812
813else
814 echo "$ac_t""no" 1>&6
8b5269f2 815
816 { echo "configure: error: cannot find library function socket" 1>&2; exit 1; }
817
818fi
819
820
821fi
822
823
824
825 echo $ac_n "checking for inet_ntoa""... $ac_c" 1>&6
826echo "configure:827: checking for inet_ntoa" >&5
827if eval "test \"`echo '$''{'ac_cv_func_inet_ntoa'+set}'`\" = set"; then
828 echo $ac_n "(cached) $ac_c" 1>&6
829else
830 cat > conftest.$ac_ext <<EOF
831#line 832 "configure"
832#include "confdefs.h"
833/* System header to define __stub macros and hopefully few prototypes,
834 which can conflict with char inet_ntoa(); below. */
835#include <assert.h>
836/* Override any gcc2 internal prototype to avoid an error. */
837/* We use char because int might match the return type of a gcc2
838 builtin and then its argument prototype would still apply. */
839char inet_ntoa();
840
841int main() {
842
843/* The GNU C library defines this for functions which it implements
844 to always fail with ENOSYS. Some functions are actually named
845 something starting with __ and the normal name is an alias. */
846#if defined (__stub_inet_ntoa) || defined (__stub___inet_ntoa)
847choke me
848#else
849inet_ntoa();
850#endif
851
852; return 0; }
853EOF
854if { (eval echo configure:855: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
855 rm -rf conftest*
856 eval "ac_cv_func_inet_ntoa=yes"
857else
858 echo "configure: failed program was:" >&5
859 cat conftest.$ac_ext >&5
860 rm -rf conftest*
861 eval "ac_cv_func_inet_ntoa=no"
862fi
863rm -f conftest*
864fi
865
866if eval "test \"`echo '$ac_cv_func_'inet_ntoa`\" = yes"; then
867 echo "$ac_t""yes" 1>&6
868 :
869else
870 echo "$ac_t""no" 1>&6
871
872 echo $ac_n "checking for inet_ntoa in -lnsl""... $ac_c" 1>&6
873echo "configure:874: checking for inet_ntoa in -lnsl" >&5
874ac_lib_var=`echo nsl'_'inet_ntoa | sed 'y%./+-%__p_%'`
875if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
876 echo $ac_n "(cached) $ac_c" 1>&6
877else
878 ac_save_LIBS="$LIBS"
879LIBS="-lnsl $LIBS"
880cat > conftest.$ac_ext <<EOF
881#line 882 "configure"
882#include "confdefs.h"
883/* Override any gcc2 internal prototype to avoid an error. */
884/* We use char because int might match the return type of a gcc2
885 builtin and then its argument prototype would still apply. */
886char inet_ntoa();
887
888int main() {
889inet_ntoa()
890; return 0; }
891EOF
892if { (eval echo configure:893: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
893 rm -rf conftest*
894 eval "ac_cv_lib_$ac_lib_var=yes"
895else
896 echo "configure: failed program was:" >&5
897 cat conftest.$ac_ext >&5
898 rm -rf conftest*
899 eval "ac_cv_lib_$ac_lib_var=no"
900fi
901rm -f conftest*
902LIBS="$ac_save_LIBS"
903
904fi
905if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
906 echo "$ac_t""yes" 1>&6
907 ac_tr_lib=HAVE_LIB`echo nsl | sed -e 's/[^a-zA-Z0-9_]/_/g' \
908 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
909 cat >> confdefs.h <<EOF
910#define $ac_tr_lib 1
911EOF
912
913 LIBS="-lnsl $LIBS"
914
915else
916 echo "$ac_t""no" 1>&6
917
918 { echo "configure: error: cannot find library function inet_ntoa" 1>&2; exit 1; }
919
920fi
921
922
923fi
924
925
926
927
928 echo $ac_n "checking for inet_aton""... $ac_c" 1>&6
929echo "configure:930: checking for inet_aton" >&5
930if eval "test \"`echo '$''{'ac_cv_func_inet_aton'+set}'`\" = set"; then
931 echo $ac_n "(cached) $ac_c" 1>&6
932else
933 cat > conftest.$ac_ext <<EOF
934#line 935 "configure"
935#include "confdefs.h"
936/* System header to define __stub macros and hopefully few prototypes,
937 which can conflict with char inet_aton(); below. */
938#include <assert.h>
939/* Override any gcc2 internal prototype to avoid an error. */
940/* We use char because int might match the return type of a gcc2
941 builtin and then its argument prototype would still apply. */
942char inet_aton();
943
944int main() {
945
946/* The GNU C library defines this for functions which it implements
947 to always fail with ENOSYS. Some functions are actually named
948 something starting with __ and the normal name is an alias. */
949#if defined (__stub_inet_aton) || defined (__stub___inet_aton)
950choke me
951#else
952inet_aton();
953#endif
954
955; return 0; }
956EOF
957if { (eval echo configure:958: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
958 rm -rf conftest*
959 eval "ac_cv_func_inet_aton=yes"
960else
961 echo "configure: failed program was:" >&5
962 cat conftest.$ac_ext >&5
963 rm -rf conftest*
964 eval "ac_cv_func_inet_aton=no"
965fi
966rm -f conftest*
967fi
968
969if eval "test \"`echo '$ac_cv_func_'inet_aton`\" = yes"; then
970 echo "$ac_t""yes" 1>&6
971 :
972else
973 echo "$ac_t""no" 1>&6
974
975 echo $ac_n "checking for inet_aton in -lresolv""... $ac_c" 1>&6
976echo "configure:977: checking for inet_aton in -lresolv" >&5
977ac_lib_var=`echo resolv'_'inet_aton | sed 'y%./+-%__p_%'`
978if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
979 echo $ac_n "(cached) $ac_c" 1>&6
980else
981 ac_save_LIBS="$LIBS"
982LIBS="-lresolv $LIBS"
983cat > conftest.$ac_ext <<EOF
984#line 985 "configure"
985#include "confdefs.h"
986/* Override any gcc2 internal prototype to avoid an error. */
987/* We use char because int might match the return type of a gcc2
988 builtin and then its argument prototype would still apply. */
989char inet_aton();
990
991int main() {
992inet_aton()
993; return 0; }
994EOF
995if { (eval echo configure:996: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
996 rm -rf conftest*
997 eval "ac_cv_lib_$ac_lib_var=yes"
998else
999 echo "configure: failed program was:" >&5
1000 cat conftest.$ac_ext >&5
1001 rm -rf conftest*
1002 eval "ac_cv_lib_$ac_lib_var=no"
1003fi
1004rm -f conftest*
1005LIBS="$ac_save_LIBS"
1006
1007fi
1008if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1009 echo "$ac_t""yes" 1>&6
1010
1011 LIBS="-lresolv $LIBS";
1012 echo "configure: warning: inet_aton is in libresolv, urgh. Must use -lresolv." 1>&2
1013
1014else
1015 echo "$ac_t""no" 1>&6
1016
1017 { echo "configure: error: cannot find library function inet_aton" 1>&2; exit 1; }
1018
1019fi
1020
1021
1022fi
1023
1024
1025
1026
11b35193 1027
1028 echo $ac_n "checking __attribute__((,,))""... $ac_c" 1>&6
e9e1b0e6 1029echo "configure:1030: checking __attribute__((,,))" >&5
11b35193 1030 if eval "test \"`echo '$''{'adns_cv_c_attribute_supported'+set}'`\" = set"; then
1031 echo $ac_n "(cached) $ac_c" 1>&6
1032else
1033
1034 cat > conftest.$ac_ext <<EOF
e9e1b0e6 1035#line 1036 "configure"
11b35193 1036#include "confdefs.h"
1037
1038int main() {
1039extern int testfunction(int x) __attribute__((,,))
1040; return 0; }
1041EOF
e9e1b0e6 1042if { (eval echo configure:1043: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
11b35193 1043 rm -rf conftest*
1044 adns_cv_c_attribute_supported=yes
1045else
1046 echo "configure: failed program was:" >&5
1047 cat conftest.$ac_ext >&5
1048 rm -rf conftest*
1049 adns_cv_c_attribute_supported=no
1050fi
1051rm -f conftest*
1052
1053fi
1054
1055 if test "x$adns_cv_c_attribute_supported" = xyes; then
1056 true
1057 echo "$ac_t""yes" 1>&6
1058 cat >> confdefs.h <<\EOF
1059#define HAVE_GNUC25_ATTRIB 1
1060EOF
1061
1062
1063 echo $ac_n "checking __attribute__((noreturn))""... $ac_c" 1>&6
e9e1b0e6 1064echo "configure:1065: checking __attribute__((noreturn))" >&5
11b35193 1065 if eval "test \"`echo '$''{'adns_cv_c_attribute_noreturn'+set}'`\" = set"; then
1066 echo $ac_n "(cached) $ac_c" 1>&6
1067else
1068
1069 cat > conftest.$ac_ext <<EOF
e9e1b0e6 1070#line 1071 "configure"
11b35193 1071#include "confdefs.h"
1072
1073int main() {
1074extern int testfunction(int x) __attribute__((noreturn))
1075; return 0; }
1076EOF
e9e1b0e6 1077if { (eval echo configure:1078: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
11b35193 1078 rm -rf conftest*
1079 adns_cv_c_attribute_noreturn=yes
1080else
1081 echo "configure: failed program was:" >&5
1082 cat conftest.$ac_ext >&5
1083 rm -rf conftest*
1084 adns_cv_c_attribute_noreturn=no
1085fi
1086rm -f conftest*
1087
1088fi
1089
1090 if test "x$adns_cv_c_attribute_noreturn" = xyes; then
1091 true
1092 echo "$ac_t""yes" 1>&6
1093 cat >> confdefs.h <<\EOF
1094#define HAVE_GNUC25_NORETURN 1
1095EOF
1096
1097 else
1098 true
1099 echo "$ac_t""no" 1>&6
1100 fi
1101
1102
1103 echo $ac_n "checking __attribute__((const))""... $ac_c" 1>&6
e9e1b0e6 1104echo "configure:1105: checking __attribute__((const))" >&5
11b35193 1105 if eval "test \"`echo '$''{'adns_cv_c_attribute_const'+set}'`\" = set"; then
1106 echo $ac_n "(cached) $ac_c" 1>&6
1107else
1108
1109 cat > conftest.$ac_ext <<EOF
e9e1b0e6 1110#line 1111 "configure"
11b35193 1111#include "confdefs.h"
1112
1113int main() {
1114extern int testfunction(int x) __attribute__((const))
1115; return 0; }
1116EOF
e9e1b0e6 1117if { (eval echo configure:1118: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
11b35193 1118 rm -rf conftest*
1119 adns_cv_c_attribute_const=yes
1120else
1121 echo "configure: failed program was:" >&5
1122 cat conftest.$ac_ext >&5
1123 rm -rf conftest*
1124 adns_cv_c_attribute_const=no
1125fi
1126rm -f conftest*
1127
1128fi
1129
1130 if test "x$adns_cv_c_attribute_const" = xyes; then
1131 true
1132 echo "$ac_t""yes" 1>&6
1133 cat >> confdefs.h <<\EOF
1134#define HAVE_GNUC25_CONST 1
1135EOF
1136
1137 else
1138 true
1139 echo "$ac_t""no" 1>&6
1140 fi
1141
1142
1143 echo $ac_n "checking __attribute__((format...))""... $ac_c" 1>&6
e9e1b0e6 1144echo "configure:1145: checking __attribute__((format...))" >&5
11b35193 1145 if eval "test \"`echo '$''{'adns_cv_attribute_format'+set}'`\" = set"; then
1146 echo $ac_n "(cached) $ac_c" 1>&6
1147else
1148
1149 cat > conftest.$ac_ext <<EOF
e9e1b0e6 1150#line 1151 "configure"
11b35193 1151#include "confdefs.h"
1152
1153int main() {
1154extern int testfunction(char *y, ...) __attribute__((format(printf,1,2)))
1155; return 0; }
1156EOF
e9e1b0e6 1157if { (eval echo configure:1158: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
11b35193 1158 rm -rf conftest*
1159 adns_cv_attribute_format=yes
1160else
1161 echo "configure: failed program was:" >&5
1162 cat conftest.$ac_ext >&5
1163 rm -rf conftest*
1164 adns_cv_attribute_format=no
1165fi
1166rm -f conftest*
1167
1168fi
1169
1170 if test "x$adns_cv_attribute_format" = xyes; then
1171 true
1172 echo "$ac_t""yes" 1>&6
1173 cat >> confdefs.h <<\EOF
1174#define HAVE_GNUC25_PRINTFFORMAT 1
1175EOF
1176
1177 else
1178 true
1179 echo "$ac_t""no" 1>&6
1180 fi
1181
1182 else
1183 true
1184 echo "$ac_t""no" 1>&6
1185 fi
1186
1187
1188
1189
1190
1191if test "${GCC-no}" = yes; then
1192 WARNS="-Wall -Wmissing-prototypes -Wwrite-strings -Wstrict-prototypes -Wcast-qual -Wpointer-arith"
1193else
1194 WARNS=
1195fi
1196
1197
1198
1199
1200
1201
1202
1203
1204SHLIBCC='$(CC) $(CFLAGS) -fpic'
1205MKSHLIB_1='$(CC) $(LDFLAGS) -shared -Wxl,soname=$(SONAME) -o'
1206MKSHLIB_2=''
1207MKSHLIB_3='-lc'
1208SHLIBFILE='libadns.so.$(MAJOR).$(MINOR)'
1209SHLIBSONAME='libadns.so.$(MAJOR)'
1210
1211trap '' 1 2 15
1212cat > confcache <<\EOF
1213# This file is a shell script that caches the results of configure
1214# tests run on this system so they can be shared between configure
1215# scripts and configure runs. It is not useful on other systems.
1216# If it contains results you don't want to keep, you may remove or edit it.
1217#
1218# By default, configure uses ./config.cache as the cache file,
1219# creating it if it does not exist already. You can give configure
1220# the --cache-file=FILE option to use a different cache file; that is
1221# what configure does when it calls configure scripts in
1222# subdirectories, so they share the cache.
1223# Giving --cache-file=/dev/null disables caching, for debugging configure.
1224# config.status only pays attention to the cache file if you give it the
1225# --recheck option to rerun configure.
1226#
1227EOF
1228# The following way of writing the cache mishandles newlines in values,
1229# but we know of no workaround that is simple, portable, and efficient.
1230# So, don't put newlines in cache variables' values.
1231# Ultrix sh set writes to stderr and can't be redirected directly,
1232# and sets the high bit in the cache file unless we assign to the vars.
1233(set) 2>&1 |
1234 case `(ac_space=' '; set) 2>&1` in
1235 *ac_space=\ *)
1236 # `set' does not quote correctly, so add quotes (double-quote substitution
1237 # turns \\\\ into \\, and sed turns \\ into \).
1238 sed -n \
1239 -e "s/'/'\\\\''/g" \
1240 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1241 ;;
1242 *)
1243 # `set' quotes correctly as required by POSIX, so do not add quotes.
1244 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1245 ;;
1246 esac >> confcache
1247if cmp -s $cache_file confcache; then
1248 :
1249else
1250 if test -w $cache_file; then
1251 echo "updating cache $cache_file"
1252 cat confcache > $cache_file
1253 else
1254 echo "not updating unwritable cache $cache_file"
1255 fi
1256fi
1257rm -f confcache
1258
1259trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1260
1261test "x$prefix" = xNONE && prefix=$ac_default_prefix
1262# Let make expand exec_prefix.
1263test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1264
1265# Any assignment to VPATH causes Sun make to only execute
1266# the first set of double-colon rules, so remove it if not needed.
1267# If there is a colon in the path, we need to keep it.
1268if test "x$srcdir" = x.; then
1269 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1270fi
1271
1272trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1273
1274DEFS=-DHAVE_CONFIG_H
1275
1276# Without the "./", some shells look in PATH for config.status.
1277: ${CONFIG_STATUS=./config.status}
1278
1279echo creating $CONFIG_STATUS
1280rm -f $CONFIG_STATUS
1281cat > $CONFIG_STATUS <<EOF
1282#! /bin/sh
1283# Generated automatically by configure.
1284# Run this file to recreate the current configuration.
1285# This directory was configured as follows,
1286# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1287#
1288# $0 $ac_configure_args
1289#
1290# Compiler output produced by configure, useful for debugging
1291# configure, is in ./config.log if it exists.
1292
1293ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1294for ac_option
1295do
1296 case "\$ac_option" in
1297 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1298 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1299 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1300 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1301 echo "$CONFIG_STATUS generated by autoconf version 2.12"
1302 exit 0 ;;
1303 -help | --help | --hel | --he | --h)
1304 echo "\$ac_cs_usage"; exit 0 ;;
1305 *) echo "\$ac_cs_usage"; exit 1 ;;
1306 esac
1307done
1308
1309ac_given_srcdir=$srcdir
1310
9579019a 1311trap 'rm -fr `echo "settings.make Makefile
1312 src/Makefile client/Makefile dynamic/Makefile regress/Makefile
1313 src/config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
11b35193 1314EOF
1315cat >> $CONFIG_STATUS <<EOF
1316
1317# Protect against being on the right side of a sed subst in config.status.
1318sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1319 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1320$ac_vpsub
1321$extrasub
1322s%@CFLAGS@%$CFLAGS%g
1323s%@CPPFLAGS@%$CPPFLAGS%g
1324s%@CXXFLAGS@%$CXXFLAGS%g
1325s%@DEFS@%$DEFS%g
1326s%@LDFLAGS@%$LDFLAGS%g
1327s%@LIBS@%$LIBS%g
1328s%@exec_prefix@%$exec_prefix%g
1329s%@prefix@%$prefix%g
1330s%@program_transform_name@%$program_transform_name%g
1331s%@bindir@%$bindir%g
1332s%@sbindir@%$sbindir%g
1333s%@libexecdir@%$libexecdir%g
1334s%@datadir@%$datadir%g
1335s%@sysconfdir@%$sysconfdir%g
1336s%@sharedstatedir@%$sharedstatedir%g
1337s%@localstatedir@%$localstatedir%g
1338s%@libdir@%$libdir%g
1339s%@includedir@%$includedir%g
1340s%@oldincludedir@%$oldincludedir%g
1341s%@infodir@%$infodir%g
1342s%@mandir@%$mandir%g
1343s%@CC@%$CC%g
9579019a 1344s%@RANLIB@%$RANLIB%g
11b35193 1345s%@WARNS@%$WARNS%g
1346s%@SHLIBCC@%$SHLIBCC%g
1347s%@MKSHLIB_1@%$MKSHLIB_1%g
1348s%@MKSHLIB_2@%$MKSHLIB_2%g
1349s%@MKSHLIB_3@%$MKSHLIB_3%g
1350s%@SHLIBFILE@%$SHLIBFILE%g
1351s%@SHLIBSONAME@%$SHLIBSONAME%g
1352
1353CEOF
1354EOF
1355
1356cat >> $CONFIG_STATUS <<\EOF
1357
1358# Split the substitutions into bite-sized pieces for seds with
1359# small command number limits, like on Digital OSF/1 and HP-UX.
1360ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1361ac_file=1 # Number of current file.
1362ac_beg=1 # First line for current file.
1363ac_end=$ac_max_sed_cmds # Line after last line for current file.
1364ac_more_lines=:
1365ac_sed_cmds=""
1366while $ac_more_lines; do
1367 if test $ac_beg -gt 1; then
1368 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1369 else
1370 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1371 fi
1372 if test ! -s conftest.s$ac_file; then
1373 ac_more_lines=false
1374 rm -f conftest.s$ac_file
1375 else
1376 if test -z "$ac_sed_cmds"; then
1377 ac_sed_cmds="sed -f conftest.s$ac_file"
1378 else
1379 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1380 fi
1381 ac_file=`expr $ac_file + 1`
1382 ac_beg=$ac_end
1383 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1384 fi
1385done
1386if test -z "$ac_sed_cmds"; then
1387 ac_sed_cmds=cat
1388fi
1389EOF
1390
1391cat >> $CONFIG_STATUS <<EOF
1392
9579019a 1393CONFIG_FILES=\${CONFIG_FILES-"settings.make Makefile
1394 src/Makefile client/Makefile dynamic/Makefile regress/Makefile
1395"}
11b35193 1396EOF
1397cat >> $CONFIG_STATUS <<\EOF
1398for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1399 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1400 case "$ac_file" in
1401 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1402 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1403 *) ac_file_in="${ac_file}.in" ;;
1404 esac
1405
1406 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1407
1408 # Remove last slash and all that follows it. Not all systems have dirname.
1409 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1410 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1411 # The file is in a subdirectory.
1412 test ! -d "$ac_dir" && mkdir "$ac_dir"
1413 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1414 # A "../" for each directory in $ac_dir_suffix.
1415 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1416 else
1417 ac_dir_suffix= ac_dots=
1418 fi
1419
1420 case "$ac_given_srcdir" in
1421 .) srcdir=.
1422 if test -z "$ac_dots"; then top_srcdir=.
1423 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1424 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1425 *) # Relative path.
1426 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1427 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1428 esac
1429
1430
1431 echo creating "$ac_file"
1432 rm -f "$ac_file"
1433 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1434 case "$ac_file" in
1435 *Makefile*) ac_comsub="1i\\
1436# $configure_input" ;;
1437 *) ac_comsub= ;;
1438 esac
1439
1440 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1441 sed -e "$ac_comsub
1442s%@configure_input@%$configure_input%g
1443s%@srcdir@%$srcdir%g
1444s%@top_srcdir@%$top_srcdir%g
1445" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1446fi; done
1447rm -f conftest.s*
1448
1449# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1450# NAME is the cpp macro being defined and VALUE is the value it is being given.
1451#
1452# ac_d sets the value in "#define NAME VALUE" lines.
1453ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1454ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1455ac_dC='\3'
1456ac_dD='%g'
1457# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1458ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1459ac_uB='\([ ]\)%\1#\2define\3'
1460ac_uC=' '
1461ac_uD='\4%g'
1462# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1463ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1464ac_eB='$%\1#\2define\3'
1465ac_eC=' '
1466ac_eD='%g'
1467
1468if test "${CONFIG_HEADERS+set}" != set; then
1469EOF
1470cat >> $CONFIG_STATUS <<EOF
1471 CONFIG_HEADERS="src/config.h"
1472EOF
1473cat >> $CONFIG_STATUS <<\EOF
1474fi
1475for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1476 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1477 case "$ac_file" in
1478 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1479 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1480 *) ac_file_in="${ac_file}.in" ;;
1481 esac
1482
1483 echo creating $ac_file
1484
1485 rm -f conftest.frag conftest.in conftest.out
1486 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1487 cat $ac_file_inputs > conftest.in
1488
1489EOF
1490
1491# Transform confdefs.h into a sed script conftest.vals that substitutes
1492# the proper values into config.h.in to produce config.h. And first:
1493# Protect against being on the right side of a sed subst in config.status.
1494# Protect against being in an unquoted here document in config.status.
1495rm -f conftest.vals
1496cat > conftest.hdr <<\EOF
1497s/[\\&%]/\\&/g
1498s%[\\$`]%\\&%g
1499s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1500s%ac_d%ac_u%gp
1501s%ac_u%ac_e%gp
1502EOF
1503sed -n -f conftest.hdr confdefs.h > conftest.vals
1504rm -f conftest.hdr
1505
1506# This sed command replaces #undef with comments. This is necessary, for
1507# example, in the case of _POSIX_SOURCE, which is predefined and required
1508# on some systems where configure will not decide to define it.
1509cat >> conftest.vals <<\EOF
1510s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1511EOF
1512
1513# Break up conftest.vals because some shells have a limit on
1514# the size of here documents, and old seds have small limits too.
1515
1516rm -f conftest.tail
1517while :
1518do
1519 ac_lines=`grep -c . conftest.vals`
1520 # grep -c gives empty output for an empty file on some AIX systems.
1521 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1522 # Write a limited-size here document to conftest.frag.
1523 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1524 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1525 echo 'CEOF
1526 sed -f conftest.frag conftest.in > conftest.out
1527 rm -f conftest.in
1528 mv conftest.out conftest.in
1529' >> $CONFIG_STATUS
1530 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1531 rm -f conftest.vals
1532 mv conftest.tail conftest.vals
1533done
1534rm -f conftest.vals
1535
1536cat >> $CONFIG_STATUS <<\EOF
1537 rm -f conftest.frag conftest.h
1538 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1539 cat conftest.in >> conftest.h
1540 rm -f conftest.in
1541 if cmp -s $ac_file conftest.h 2>/dev/null; then
1542 echo "$ac_file is unchanged"
1543 rm -f conftest.h
1544 else
1545 # Remove last slash and all that follows it. Not all systems have dirname.
1546 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1547 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1548 # The file is in a subdirectory.
1549 test ! -d "$ac_dir" && mkdir "$ac_dir"
1550 fi
1551 rm -f $ac_file
1552 mv conftest.h $ac_file
1553 fi
1554fi; done
1555
1556EOF
1557cat >> $CONFIG_STATUS <<EOF
1558
1559EOF
1560cat >> $CONFIG_STATUS <<\EOF
1561
1562exit 0
1563EOF
1564chmod +x $CONFIG_STATUS
1565rm -fr confdefs* $ac_clean_files
1566test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1567